From cf9802111cff2c7fd01d92ed331093ae2df324ba Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:19:15 +0200
Subject: [PATCH 303/308] rustup: rebuild for libressl-2.9.2.

---
 srcpkgs/rustup/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/rustup/template b/srcpkgs/rustup/template
index 27d9bec34d0..d1a5d5be264 100644
--- a/srcpkgs/rustup/template
+++ b/srcpkgs/rustup/template
@@ -1,7 +1,7 @@
 # Template file for 'rustup'
 pkgname=rustup
 version=1.18.3
-revision=1
+revision=2
 wrksrc="${pkgname}.rs-${version}"
 build_style=cargo
 configure_args="--features no-self-update --bin rustup-init"
@@ -14,6 +14,11 @@ homepage="https://www.rustup.rs"
 distfiles="https://github.com/rust-lang-nursery/${pkgname}.rs/archive/${version}.tar.gz"
 checksum=9a2ae2c85bbbfc838b25d86d049bc677532950d78765725beabb8a61df1c2710
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 do_install() {
 	vbin target/${RUST_TARGET}/release/rustup-init
 

